#!/bin/bash
set -x

function main {

  init_params "$@"
  run_tuning

}

# init params
function init_params {
  input_model=weights/peleenet_acc7208.pth.tar

  for var in "$@"
  do
    case $var in
      --topology=*)
          topology=$(echo $var |cut -f2 -d=)
      ;;
      --dataset_location=*)
          dataset_location=$(echo $var |cut -f2 -d=)
      ;;
      --input_model=*)
          input_model=$(echo $var |cut -f2 -d=)
      ;;
      --output_model=*)
          output_model=$(echo $var |cut -f2 -d=)
      ;;
      *)
          echo "Error: No such parameter: ${var}"
          exit 1
      ;;
    esac
  done

}

# run_tuning
function run_tuning {
    sed -i "/root:/s|root:.*|root: $dataset_location/val|g" conf.yaml
    extra_cmd=""
    if [ -n "$output_model" ];then
        extra_cmd = "--tuned_checkpoint ${output_model}"
    fi
    extra_cmd=$extra_cmd" ${dataset_location}"

    python main.py \
            --pretrained \
            -j 1 \
            --weights ${input_model} \
            --tune \
            ${extra_cmd}

}

main "$@"
